Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: Jeff Garzik <[email-masked]>
Date: Wed, 27 Aug 2008 16:38:13 -0400

Jeff King wrote:
> On Wed, Aug 27, 2008 at 04:24:19PM -0400, Jeff Garzik wrote:
> 
>> Indeed.
>>
>> Also, I type "git-diff-tree" quite a lot.
>>
>> My fingers find that
>>
>> 	git SPACE diff DASH tree
>>
>> is slower and less consistent than
>>
>> 	git DASH diff DASH tree
>>
>> The same with git-format-patch...  We are going from "all dashes" to "a  
>> mix of space and dashes" which is increasing inconsistency.
> 
> I have also found the SPACE-DASH slightly harder to type. However, I'm
> curious: what are you doing frequently from the commandline with
> git-diff-tree that is not just as easily done with git-diff?

I use it to spit out a patch for a specific commit:

	git-diff-tree -p $COMMIT

Though probably someone will now come along and tell me I'm am 
old-timer, and there is a shorter command that accomplishes the same 
thing :)

Regards,

	Jeff